roasOS
API referenceJobs

Rerun a job from its exact recorded request

POST
/v1/jobs/{id}/rerun

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token: Authorization: Bearer roasos_sk_...

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/rerun" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "property1": null,    "property2": null  }}